from Products.CMFCore.CMFCorePermissions import setDefaultRoles
from AccessControl import Permissions

# Gathering Layout Related Permissions into one place
AddLayoutTemplate = 'Add Portal Layout Templates'
ChangeLayoutTemplate = 'Change Portal Layout Templates'
DeleteLayoutTemplate = 'Delete Portal Layout Templates'
AddLayoutRow = 'Add Portal Layout Rows'
ChangeLayoutRow = 'Change Portal Layout Rows'
DeleteLayoutRow = 'Delete Portal Layout Rows'
MoveLayoutRow = 'Move Portal Layout Rows'
AddLayoutColumn = 'Add Portal Layout Columns'
ChangeLayoutColumn = 'Change Portal Layout Columns'
DeleteLayoutColumn = 'Delete Portal Layout Columns'
MoveLayoutColumn = 'Move Portal Layout Columns'
AddLayoutElement = 'Add Portal Layout Element'
ChangeLayoutElement = 'Change Portal Layout Element'
DeleteLayoutElement = 'Delete Portal Layout Element'
MoveLayoutElement = 'Move Portal Layout Element'
View = Permissions.view

# Set up default roles for permissions
setDefaultRoles(AddLayoutTemplate, ('Manager', ))
setDefaultRoles(ChangeLayoutTemplate, ('Manager', ))
setDefaultRoles(DeleteLayoutTemplate, ('Manager', ))
setDefaultRoles(AddLayoutRow, ('Manager', ))
setDefaultRoles(ChangeLayoutRow, ('Manager', ))
setDefaultRoles(DeleteLayoutRow, ('Manager', ))
setDefaultRoles(MoveLayoutRow, ('Manager', ))
setDefaultRoles(AddLayoutColumn, ('Manager', ))
setDefaultRoles(ChangeLayoutColumn, ('Manager', ))
setDefaultRoles(DeleteLayoutColumn, ('Manager', ))
setDefaultRoles(MoveLayoutColumn, ('Manager', ))
setDefaultRoles(AddLayoutElement, ('Manager', 'Owner'))
setDefaultRoles(ChangeLayoutElement, ('Manager', 'Owner'))
setDefaultRoles(DeleteLayoutElement, ('Manager', 'Owner'))
setDefaultRoles(MoveLayoutElement, ('Manager', 'Owner'))